
Foreman - Bug #24002

no unique constraint to the name column on the roles table 

06/19/2018 11:36 AM - Jan Hutař

Status: Closed   

Priority: Normal   

Assignee: Dominik Hlavac Duran   

Category: Database   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link: 1589625 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5833

  

Description

Description of problem:

The role name is unique. However, this doesn't reflect in the underline db.

Version-Release number of selected component (if applicable):

6.3.1, also broken os 6.4.0 snap 7

How reproducible:

Easy

Steps to Reproduce:

1. su - postgres

2. psql foreman

3. insert into roles(name, origin) values('Access Insights Admin', 'redhat_access');

Actual results:

Duplicate records for 'Access Insights Admin'

Expected results:

No duplicate record.

Associated revisions

Revision 1de010fc - 07/15/2018 10:17 AM - Dominik Hlavac Duran

Fixes #24002 - Add index for unique role names

History

#1 - 06/19/2018 11:37 AM - Jan Hutař

- Category set to Database

#2 - 06/19/2018 11:37 AM - Jan Hutař

Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1589625

#3 - 07/12/2018 02:15 PM - Dominik Hlavac Duran

- Assignee set to Dominik Hlavac Duran

- Triaged set to No

#4 - 07/13/2018 03:45 PM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1589625


- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5833 added

#5 - 07/15/2018 10:15 AM - Tomer Brisker

- Bugzilla link set to 1589625

#6 - 07/15/2018 10:17 AM - Tomer Brisker

- Target version set to 1.19.0

- Fixed in Releases 1.19.0 added

#7 - 07/15/2018 11:01 AM - Dominik Hlavac Duran

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1de010fc5df6e01a06d89f2dd7a7975d10003f22.
